> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Unban customer

> Lifts a ban from a customer.

**Required scopes:** `banlist_write`


## OpenAPI

````yaml /api/configuration/v3.7/openapi.json post /action/unban_customer
openapi: 3.1.0
info:
  title: Configuration API
  version: v3.7
servers:
  - url: https://api.livechatinc.com/v3.7/configuration
security:
  - PersonalAccessToken: []
  - OAuth2BearerToken: []
paths:
  /action/unban_customer:
    post:
      tags:
        - Customer bans
      summary: Unban customer
      description: Lifts a ban from a customer.
      operationId: unban-customer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UnbanCustomerRequest'
            example:
              ip: 192.168.1.1
      responses:
        '200':
          description: Customer unbanned successfully.
components:
  schemas:
    UnbanCustomerRequest:
      type: object
      properties:
        ip:
          type: string
          description: >-
            The IP address to unban. Exactly one of `ip` and `customer_id` is
            required.
        customer_id:
          type: string
          description: >-
            Unique identifier of the customer to unban. Exactly one of `ip` and
            `customer_id` is required.
  securitySchemes:
    PersonalAccessToken:
      type: http
      scheme: basic
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
    OAuth2BearerToken:
      type: http
      scheme: bearer
      description: Authenticate using an OAuth 2.0 Bearer token.
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````